Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 455418 - =sys-cluster/libdlm-3.2.0: In file included from .../work/cluster-3.1.5/dlm/libdlm/libdlm.c:21:0: /usr/src/linux/include/linux/types.h:14:26: error: conflicting types for ‘fd_set’
Summary: =sys-cluster/libdlm-3.2.0: In file included from .../work/cluster-3.1.5/dlm/l...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords: PATCH
: 471224 (view as bug list)
Depends on:
Blocks: CVE-2013-0281 460622
  Show dependency tree
 
Reported: 2013-02-04 11:43 UTC by renesanso
Modified: 2018-11-23 07:04 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description renesanso 2013-02-04 11:43:42 UTC
I have many 'error: conflicting types for ' errors when emerging sys-cluster/libdlm-3.1.5 .
If I delete /usr/src/linux, all compiled ok.

Reproducible: Always

Steps to Reproduce:
1. emerge =sys-cluster/libdlm-3.1.5 with /usr/src/linux ; #see errors
2. emerge =sys-cluster/libdlm-3.1.5 with rm  /usr/src/linux #see no errors




# emerge -vq1 sys-cluster/libdlm
FEATURES variable contains unknown value(s): preserved-rebuild

 * IMPORTANT: 9 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

>>> Verifying ebuild manifests
>>> Emerging (1 of 1) sys-cluster/libdlm-3.1.5
>>> Failed to emerge sys-cluster/libdlm-3.1.5, Log file:
>>>  '/var/tmp/portage/sys-cluster/libdlm-3.1.5/temp/build.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 1.60, 1.29, 1.18
 * Package:    sys-cluster/libdlm-3.1.5
 * Repository: gentoo
 * Maintainer: cluster@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux multilib userland_GNU
 * FEATURES:   preserve-libs sandbox
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     3.7.3-hardened

Configuring Makefiles for your system...

Checking tree: nothing to do
Completed Makefile configuration

make: Entering directory `/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm'
x86_64-pc-linux-gnu-gcc -march=x86-64 -O2 -pipe -Wall -I/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/make -DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\" -DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4 -DSYSLOGLEVEL=LOG_INFO -DRELEASE_VERSION=\"3.1.5\" -fPIC -I/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm -I/usr/include -I/usr/src/linux/include  -D_REENTRANT -c -o libdlm.o /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c
x86_64-pc-linux-gnu-gcc -march=x86-64 -O2 -pipe -Wall -I/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/make -DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\" -DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4 -DSYSLOGLEVEL=LOG_INFO -DRELEASE_VERSION=\"3.1.5\" -fPIC -I/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm -I/usr/include -I/usr/src/linux/include  -c -o libdlm_lt.o /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c
cat /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.pc.in | \
sed \
        -e 's#@PREFIX@#/usr#g' \
        -e 's#@LIBDIR@#/usr/lib64#g' \
        -e 's#@INCDIR@#/usr/include#g' \
        -e 's#@VERSION@#3.1.5#g' \
> libdlm.pc
cat /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm_lt.pc.in | \
sed \
        -e 's#@PREFIX@#/usr#g' \
        -e 's#@LIBDIR@#/usr/lib64#g' \
        -e 's#@INCDIR@#/usr/include#g' \
        -e 's#@VERSION@#3.1.5#g' \
> libdlm_lt.pc
In file included from /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:21:0:
/usr/src/linux/include/linux/types.h:14:26: error: conflicting types for ‘fd_set’
/usr/include/sys/select.h:75:5: note: previous declaration of ‘fd_set’ was here
/usr/src/linux/include/linux/types.h:15:25: error: conflicting types for ‘dev_t’
/usr/include/sys/types.h:60:17: note: previous declaration of ‘dev_t’ was here
/usr/src/linux/include/linux/types.h:19:17: error: conflicting types for ‘nlink_t’
/usr/include/sys/types.h:75:19: note: previous declaration of ‘nlink_t’ was here
/usr/src/linux/include/linux/types.h:25:26: error: conflicting types for ‘timer_t’
/usr/include/time.h:103:19: note: previous declaration of ‘timer_t’ was here
/usr/src/linux/include/linux/types.h:45:26: error: conflicting types for ‘loff_t’
/usr/include/sys/types.h:44:18: note: previous declaration of ‘loff_t’ was here
/usr/src/linux/include/linux/types.h:111:17: error: conflicting types for ‘uint64_t’
/usr/include/stdint.h:55:27: note: previous declaration of ‘uint64_t’ was here
/usr/src/linux/include/linux/types.h:112:17: error: conflicting types for ‘u_int64_t’
/usr/include/sys/types.h:203:1: note: previous declaration of ‘u_int64_t’ was here
/usr/src/linux/include/linux/types.h:113:17: error: conflicting types for ‘int64_t’
/usr/include/sys/types.h:197:1: note: previous declaration of ‘int64_t’ was here
/usr/src/linux/include/linux/types.h:134:23: error: conflicting types for ‘blkcnt_t’
/usr/include/sys/types.h:235:20: note: previous declaration of ‘blkcnt_t’ was here
In file included from /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:24:0:
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:69:12: error: conflicting types for ‘dlm_lock’
/usr/src/linux/include/linux/dlm.h:135:5: note: previous declaration of ‘dlm_lock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:80:12: error: conflicting types for ‘dlm_unlock’
/usr/src/linux/include/linux/dlm.h:166:5: note: previous declaration of ‘dlm_unlock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:131:12: error: conflicting types for ‘dlm_release_lockspace’
/usr/src/linux/include/linux/dlm.h:96:5: note: previous declaration of ‘dlm_release_lockspace’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:136:23: error: conflicting types for ‘dlm_new_lockspace’
/usr/src/linux/include/linux/dlm.h:85:5: note: previous declaration of ‘dlm_new_lockspace’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:934:5: error: conflicting types for ‘dlm_lock’
/usr/src/linux/include/linux/dlm.h:135:5: note: previous declaration of ‘dlm_lock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:1058:5: error: conflicting types for ‘dlm_unlock’
/usr/src/linux/include/linux/dlm.h:166:5: note: previous declaration of ‘dlm_unlock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:1337:16: error: conflicting types for ‘dlm_new_lockspace’
/usr/src/linux/include/linux/dlm.h:85:5: note: previous declaration of ‘dlm_new_lockspace’ was here
In file included from /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:21:0:
/usr/src/linux/include/linux/types.h:14:26: error: conflicting types for ‘fd_set’
/usr/include/sys/select.h:75:5: note: previous declaration of ‘fd_set’ was here
/usr/src/linux/include/linux/types.h:15:25: error: conflicting types for ‘dev_t’
/usr/include/sys/types.h:60:17: note: previous declaration of ‘dev_t’ was here
/usr/src/linux/include/linux/types.h:19:17: error: conflicting types for ‘nlink_t’
/usr/include/sys/types.h:75:19: note: previous declaration of ‘nlink_t’ was here
/usr/src/linux/include/linux/types.h:25:26: error: conflicting types for ‘timer_t’
/usr/include/time.h:103:19: note: previous declaration of ‘timer_t’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:1379:5: error: conflicting types for ‘dlm_release_lockspace’
/usr/src/linux/include/linux/types.h:45:26: error: conflicting types for ‘loff_t’
/usr/src/linux/include/linux/dlm.h:96:5: note: previous declaration of ‘dlm_release_lockspace’ was here
/usr/include/sys/types.h:44:18: note: previous declaration of ‘loff_t’ was here
/usr/src/linux/include/linux/types.h:111:17: error: conflicting types for ‘uint64_t’
/usr/include/stdint.h:55:27: note: previous declaration of ‘uint64_t’ was here
/usr/src/linux/include/linux/types.h:112:17: error: conflicting types for ‘u_int64_t’
/usr/include/sys/types.h:203:1: note: previous declaration of ‘u_int64_t’ was here
/usr/src/linux/include/linux/types.h:113:17: error: conflicting types for ‘int64_t’
/usr/include/sys/types.h:197:1: note: previous declaration of ‘int64_t’ was here
/usr/src/linux/include/linux/types.h:134:23: error: conflicting types for ‘blkcnt_t’
/usr/include/sys/types.h:235:20: note: previous declaration of ‘blkcnt_t’ was here
In file included from /var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:24:0:
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:69:12: error: conflicting types for ‘dlm_lock’
/usr/src/linux/include/linux/dlm.h:135:5: note: previous declaration of ‘dlm_lock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:80:12: error: conflicting types for ‘dlm_unlock’
/usr/src/linux/include/linux/dlm.h:166:5: note: previous declaration of ‘dlm_unlock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:131:12: error: conflicting types for ‘dlm_release_lockspace’
/usr/src/linux/include/linux/dlm.h:96:5: note: previous declaration of ‘dlm_release_lockspace’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.h:136:23: error: conflicting types for ‘dlm_new_lockspace’
/usr/src/linux/include/linux/dlm.h:85:5: note: previous declaration of ‘dlm_new_lockspace’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:934:5: error: conflicting types for ‘dlm_lock’
/usr/src/linux/include/linux/dlm.h:135:5: note: previous declaration of ‘dlm_lock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:1058:5: error: conflicting types for ‘dlm_unlock’
/usr/src/linux/include/linux/dlm.h:166:5: note: previous declaration of ‘dlm_unlock’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:1337:16: error: conflicting types for ‘dlm_new_lockspace’
/usr/src/linux/include/linux/dlm.h:85:5: note: previous declaration of ‘dlm_new_lockspace’ was here
/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm/libdlm.c:1379:5: error: conflicting types for ‘dlm_release_lockspace’
/usr/src/linux/include/linux/dlm.h:96:5: note: previous declaration of ‘dlm_release_lockspace’ was here
make: *** [libdlm.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [libdlm_lt.o] Error 1
make: Leaving directory `/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm/libdlm'
 * ERROR: sys-cluster/libdlm-3.1.5 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=sys-cluster/libdlm-3.1.5'`,
 * the complete build log and the output of `emerge -pqv '=sys-cluster/libdlm-3.1.5'`.
 * The complete build log is located at '/var/tmp/portage/sys-cluster/libdlm-3.1.5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-cluster/libdlm-3.1.5/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm'
 * S: '/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm'

 * Messages for package sys-cluster/libdlm-3.1.5:

 * ERROR: sys-cluster/libdlm-3.1.5 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=sys-cluster/libdlm-3.1.5'`,
 * the complete build log and the output of `emerge -pqv '=sys-cluster/libdlm-3.1.5'`.
 * The complete build log is located at '/var/tmp/portage/sys-cluster/libdlm-3.1.5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-cluster/libdlm-3.1.5/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm'
 * S: '/var/tmp/portage/sys-cluster/libdlm-3.1.5/work/cluster-3.1.5/dlm'
Comment 1 renesanso 2013-02-04 11:44:08 UTC
# emerge --info
--- Invalid atom in /etc/portage/package.use: www-client/aurora-9999-r9999
FEATURES variable contains unknown value(s): preserved-rebuild
Portage 2.1.11.50 (hardened/linux/amd64, gcc-4.6.3, glibc-2.16.0, 3.7.3-hardened x86_64)
=================================================================
System uname: Linux-3.7.3-hardened-x86_64-Intel-R-_Core-TM-_i7_CPU_950_@_3.07GHz-with-gentoo-2.2
KiB Mem:    24684008 total,    977776 free
KiB Swap:    3670012 total,   3669996 free
Timestamp of tree: Mon, 04 Feb 2013 04:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p42
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.5.4-r5, 2.6.8-r1, 2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.5.4, 4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: mate-overlay stuff pinkbyte mozilla desktop-effects sunrise init6 hardened-dev ROKO__ raw x-my gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=x86-64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/mateconf /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=x86-64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news parallel-fetch preserve-libs preserved-rebuild sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --timeout=30"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/mate /var/lib/layman/stuff /var/lib/layman/pinkbyte /var/lib/layman/mozilla /var/lib/layman/desktop-effects /var/lib/layman/sunrise /var/lib/layman/init6 /var/lib/layman/hardened-development /var/lib/layman/ROKO__ /var/lib/layman/raw /usr/local/portage/my /usr/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="# X a52 aac aalib acl acpi adplug alsa amd64 amr apache2 bash-completion berkdb bl bluetooth bluray bs2b btrfs bzip2 cairo caps cd cdb cdda cddb cdparanoia cdr cli cpudetection cracklib crypt css cue cups curl custom-optimization cxx dc1394 dga dhcp dia dirac djvu dmraid drawing dri dts dv dvb dvd dvdr en encode equalizer examples faac faad fam fat fbcon ffmpeg flac fluidsynth fontconfig foomaticdb ftp fuse gallium gconf gd gdbm ggi gif gimp glib glut gme gmp gnome gnutls gphoto2 gpm gsm gstreamer gtk gtkstyle gzip hardened hfs iconv id3tag ieee1394 imagemagick imlib irda jfs jit joystick jpeg jpeg2k justify kate kde ladspa lame latex libass libcaca libmpeg2 libproxy libsamplerate libv4l libv4l2 lm_sensors lzma lzo mad maildir mailwrapper mate matroska mbox md5sum mdadm midi mjpeg mms mmx mmxext mng modplug modules mp3 mpeg mpg123 mplayer mtp mudflap multilib musepack nautilus ncurses nls nptl nsplugin ntfs nut offensive ogg openal opengl openmp optimisememory optimization oss pam pax_kernel pcmcia pcre pdf pic plasma plotutils png pnm policykit postproc pulseaudio pvr qt qt3 qt3support qt4 quicktime radio rar raw rdesktop readline realtime reiser4 reiserfs remoteosd rss rtmp rtsp ru sasl scanner schroedinger sdl sdl-image session shine shout sid skins slp smp sndfile sound source sox speex spell sqlite sse sse2 sse3 ssl ssse3 stest stream svg symlink szip taglib tcpd telext test-programs tga threads tiff tk tools tray truetype twolame udev unicode unrar urandom usb utf8 v4l v4l2 vaapi vcd vcdx videos vlm vnc vorbis vpx w32codecs wavpack wifi wma wma-fixed x264 xanim xattr xcb xcomposite xfs xinerama xml xosd xpm xscreensaver xv xvid zlib zoran zsh-completion zvbi" ABI_X86="64" ALSA_CARDS="hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" DRACUT_MODULES="bootchart crypt crypt-gpg crypt-loop lvm ssh-client syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa fbdev sisusb dummy radeon nouveau i915 i965 intel r100 r200 r300 r600 radeonsi vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 renesanso 2013-02-04 12:34:55 UTC
Build fixed by echo 'KERNEL_DIR="/usr/src/linux2"' > /etc/portage/env/sys-cluster/libdlm , but I can't check how it works in runtime.
Comment 3 renesanso 2013-02-05 04:47:27 UTC
I have problems with incompatibility of gcc version, that compiled kernel (4.5), and gcc version, that compiled app (ebuild). Now I use the same version, but problem still there (not fixed).
Comment 4 Marc Schiffbauer gentoo-dev 2013-03-04 22:40:24 UTC
I can also confirm that.

Build of sys-cluster/dlm-lib-2.03.09 fails if /usr/src/linux is in place with

Current kernel symlink:
  /usr/src/linux-3.7.5-hardened-r1

fails.

Removing /usr/src/linux symlinkg does not "help" here.
Comment 5 Alexander Dubov 2013-03-29 11:30:43 UTC
One hackish approach is to plug the KERNEL_DIR completely, to the tune of:

echo 'KERNEL_DIR="/usr"' > /etc/portage/env/sys-cluster/libdlm

but again, no runtime guarantees.

Some glibc/kernel headers conflict at work here.
Comment 6 Tom 2013-05-25 20:10:46 UTC
(In reply to renesanso from comment #2)
> Build fixed by echo 'KERNEL_DIR="/usr/src/linux2"' >
> /etc/portage/env/sys-cluster/libdlm , but I can't check how it works in
> runtime.

This worked on one machine  check. I try o another
Comment 7 Samuli Suominen gentoo-dev 2013-07-28 09:59:34 UTC
*** Bug 471224 has been marked as a duplicate of this bug. ***
Comment 8 Samuli Suominen gentoo-dev 2013-07-28 10:01:11 UTC
Same bug is happening for both 3.1.5, and 3.2.0 -- we only need one bug for it. Marked 471224 as duplicate.
Comment 9 Olaf Leidinger 2013-08-23 13:49:08 UTC
same for new install with gcc 4.6.3 and linux-3.10.7-gentoo
Comment 10 Tomáš Cícha 2013-09-09 12:26:35 UTC
Also happens when building =sys-cluster/cman-3.1.5-r1.

echo 'KERNEL_DIR="/usr/src/linux2"' > /etc/portage/env/sys-cluster/cman helps.
Comment 11 Jeroen Roovers gentoo-dev 2013-10-20 14:53:31 UTC
Why would it need to use headers from a particular kernel?

Index: libdlm-3.1.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/libdlm/libdlm-3.1.5.ebuild,v
retrieving revision 1.3
diff -u -B -r1.3 libdlm-3.1.5.ebuild
--- libdlm-3.1.5.ebuild 5 Feb 2013 13:37:26 -0000       1.3
+++ libdlm-3.1.5.ebuild 20 Oct 2013 14:52:40 -0000
@@ -37,7 +37,7 @@
                --cflags="-Wall" \
                --libdir=/usr/$(get_libdir) \
                --disable_kernel_check \
-               --kernel_src=${KERNEL_DIR} \
+               --kernel_src=nowhere \
                --somajor="$MAJ_PV" \
                --sominor="$MIN_PV" \
                --dlmlibdir=/usr/$(get_libdir) \
Index: libdlm-3.2.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/libdlm/libdlm-3.2.0.ebuild,v
retrieving revision 1.1
diff -u -B -r1.1 libdlm-3.2.0.ebuild
--- libdlm-3.2.0.ebuild 20 Mar 2013 14:34:06 -0000      1.1
+++ libdlm-3.2.0.ebuild 20 Oct 2013 14:52:40 -0000
@@ -43,7 +43,7 @@
                --cflags="-Wall" \
                --libdir=/usr/$(get_libdir) \
                --disable_kernel_check \
-               --kernel_src=${KERNEL_DIR} \
+               --kernel_src=nowhere \
                --somajor="$MAJ_PV" \
                --sominor="$MIN_PV" \
                --dlmlibdir=/usr/$(get_libdir) \
Comment 12 Jan Reitz 2013-11-06 14:22:29 UTC
Package sys-fs/gfs2-utils (at least version 3.1.3) suffers a similar fate ATM but can be worked around the same way:

mkdir -p /etc/portage/env/sys-fs
echo 'KERNEL_DIR="/usr"' > /etc/portage/env/sys-fs/gfs2-utils

I can confirm that cman and libdlm build with the presented workaround, but I have no runtime results yet.

These packages did all build (some in slightly older versions) against gentoo-sources-3.2.1-r2
Comment 13 Tiziano Müller gentoo-dev 2014-04-04 06:31:10 UTC
@jer: agreed, it should use the headers installed by linux-headers instead.
Comment 14 Yixun Lan gentoo-dev 2014-04-11 15:30:04 UTC
is the patch from #c11 a sane solution? can we just commit that, I've tested, it seems works fine for me
Comment 15 KaZeR 2014-05-06 22:49:47 UTC
Same issue here with gentoo-sources-3.11.10, gcc 4.7.3-r1 and libdlm 3.1.5 or 3.2.0.

The env trick solves the installation issue.
Comment 16 Ultrabug gentoo-dev 2015-03-23 11:01:51 UTC
fixed by using /usr/ linux-headers

+  23 Mar 2015; Ultrabug <ultrabug@gentoo.org> libdlm-3.1.5.ebuild,
+  libdlm-3.2.0.ebuild:
+  use linux-headers instead of breaking linux sources fix #455418
+